| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
EM::Horizon3DAscIO Class Reference
EarthModel

Ascii I/O for Horizon3D. More...

`#include <emhorizonascio.h>`

Inheritance diagram for EM::Horizon3DAscIO:
[legend]

## Public Member Functions
| Horizon3DAscIO (const Table::FormatDesc &, const char *filenm)
| ~Horizon3DAscIO ()
int | getNextLine (Coord &, TypeSet< float > &)
const UnitOfMeasure * | getSelZUnit () const
bool | isOK () const
bool | isXY () const
Public Member Functions inherited from Table::AscIO
| AscIO (const FormatDesc &)
virtual | ~AscIO ()
const FormatDesc & | desc () const
uiString | errMsg () const
double | getdValue (int idx, double udf=mUdf(double)) const
float | getfValue (int idx, float udf=mUdf(float)) const
const char * | text (int ifld) const
uiString | warnMsg () const

## Static Public Member Functions
static void | createDescBody (Table::FormatDesc *, const BufferStringSet &)
static Table::FormatDesc * | getDesc ()
static const char * | sKeyAttribFormatStr ()
static const char * | sKeyFormatStr ()
static void | updateDesc (Table::FormatDesc &, const BufferStringSet &)
Static Public Member Functions inherited from Table::AscIO
static const UnitOfMeasure * | getDepthUnit ()
static const UnitOfMeasure * | getTimeUnit ()
static const ZDomain::Info & | zDomain (const FormatDesc &, int idx, uiRetVal &)

## Protected Attributes
bool | finishedreadingheader_ = false
od_istream | strm_
float | udfval_ = mUdf(float)
Protected Attributes inherited from Table::AscIO
Converter * | cnvrtr_ = nullptr
uiString | errmsg_
ExportHandler * | exphndlr_ = nullptr
const FormatDesc & | fd_
BufferStringSet | fullline_
bool | hdrread_ = false
ImportHandler * | imphndlr_ = nullptr
bool | iscsv_ = false
bool | needfullline_ = false
uiString | warnmsg_

## Additional Inherited Members
Protected Member Functions inherited from Table::AscIO
void | addVal (const char *, const UnitOfMeasure *) const
int | columnOf (bool hdr, int iinf, int ielem) const
void | emptyVals () const
int | formOf (bool hdr, int iinf) const
BinID | getBinID (int inlfld, int crlfld, double udf=mUdf(double)) const
double | getDValue (int, double udf=mUdf(double), const UnitOfMeasure *outunit=nullptr) const
float | getFValue (int, float udf=mUdf(float), const UnitOfMeasure *outunit=nullptr) const
bool | getHdrVals (od_istream &) const
int | getIntValue (int, int udf=mUdf(int)) const
int | getNextBodyVals (od_istream &) const
| Executor convention.
Coord | getPos (int xfld, int yfld, double udf=mUdf(double), bool isll=false, ConstRefMan< Coords::CoordSystem > crs=SI().getCoordSystem()) const
Coord3 | getPos3D (int xfld, int yfld, int zfld, double udf=mUdf(double), bool isll=false, ConstRefMan< Coords::CoordSystem > crs=SI().getCoordSystem()) const
BufferString | getText (int) const
int | nrVals () const
bool | putHdrVals (od_ostream &) const
bool | putNextBodyVals (od_ostream &) const

## Detailed Description

Ascii I/O for Horizon3D.

<>

## Constructor & Destructor Documentation

## ◆ Horizon3DAscIO()

EM::Horizon3DAscIO::Horizon3DAscIO | ( | const Table::FormatDesc & | ,
|  | const char * | filenm )

## ◆ ~Horizon3DAscIO()

EM::Horizon3DAscIO::~Horizon3DAscIO | ( |  | ) |

## Member Function Documentation

## ◆ createDescBody()

static void EM::Horizon3DAscIO::createDescBody | ( | Table::FormatDesc * | ,
|  | const BufferStringSet & | )
| static

## ◆ getDesc()

static Table::FormatDesc * EM::Horizon3DAscIO::getDesc | ( |  | ) |
| static

## ◆ getNextLine()

int EM::Horizon3DAscIO::getNextLine | ( | Coord & | ,
|  | TypeSet< float > & | )

## ◆ getSelZUnit()

const UnitOfMeasure * EM::Horizon3DAscIO::getSelZUnit | ( |  | ) | const

## ◆ isOK()

bool EM::Horizon3DAscIO::isOK | ( |  | ) | const
| inline

## ◆ isXY()

bool EM::Horizon3DAscIO::isXY | ( |  | ) | const

## ◆ sKeyAttribFormatStr()

static const char * EM::Horizon3DAscIO::sKeyAttribFormatStr | ( |  | ) |
| static

## ◆ sKeyFormatStr()

static const char * EM::Horizon3DAscIO::sKeyFormatStr | ( |  | ) |
| static

## ◆ updateDesc()

static void EM::Horizon3DAscIO::updateDesc | ( | Table::FormatDesc & | ,
|  | const BufferStringSet & | )
| static

## Member Data Documentation

## ◆ finishedreadingheader_

bool EM::Horizon3DAscIO::finishedreadingheader_ = false
| protected

## ◆ strm_

od_istream EM::Horizon3DAscIO::strm_
| protected

## ◆ udfval_

float EM::Horizon3DAscIO::udfval_ = mUdf(float)
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025